Bug 739095 - makedumpfile enhancement to filter out specific kernel data (like security keys)
Summary: makedumpfile enhancement to filter out specific kernel data (like security keys)
Keywords:
Status: CLOSED DUPLICATE of bug 694498
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools
Version: 6.3
Hardware: All
OS: All
high
high
Target Milestone: beta
: 6.3
Assignee: Cong Wang
QA Contact: Kernel Dump QE
URL:
Whiteboard:
Depends On:
Blocks: 767187 704634 705085
TreeView+ depends on / blocked
 
Reported: 2011-09-16 14:51 UTC by IBM Bug Proxy
Modified: 2013-09-30 02:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-08 07:35:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 75105 None None None Never

Description IBM Bug Proxy 2011-09-16 14:51:12 UTC
1. Feature Overview:
Feature Id: [75105]
a. Name of Feature: makedumpfile enhancement to filter out specific kernel data (like security keys)
b. Feature Description

makedumpfile enhancement to filter out specific kernel data (like security keys)

makedumpfile tool allows one to compress as well as filter out the undesired sections like user pages, zero filled pages etc from the kernel dump. In addition to that enhance the tool to filter out specific kernel data like security keys and encryption related data from kernel dump that will help customer to get appropriate service from service support team while maintaining confidentiality of their data. Work is to implement a common framework that works for all architecture supported by makedumpfile. 

We intend to push this feature to upstream makedumpfile too.

2. Feature Details:
Sponsor: LTC RAS
Architectures:  IA_64, ppc64, x86, x86_64, zSeries - 64 native, 

Arch Specificity: purely common code
Affects Kernel Modules: No
Delivery Mechanism: Direct from Community
Category: other
Request Type: Package - Update Version
d. Upstream Acceptance: In Progress
Sponsor Priority P3
f. Severity: high
IBM Confidential: No
Code Contribution: IBM code
g. Component Version Target: ---

3. Business Case
The customer who are concern about maintaining confidentiality of their sensitive data would want the confidential data, security keys and encryption related data to be removed from the kernel dump before sending it to service support team for analysis. 

4. Primary contact at Red Hat:
John Jarvis, jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael W. Wortman, wortman@us.ibm.com

Technical contact(s):
MAHESH J. SALGAONKAR, mahesh.salgaonkar@in.ibm.com

Comment 2 IBM Bug Proxy 2011-09-19 16:50:35 UTC
------- Comment From mahesh@linux.vnet.ibm.com 2011-09-19 12:44 EDT-------
The latest release of makedumpfile-1.4.0 includes this feature.

http://lists.infradead.org/pipermail/kexec/2011-September/005466.html

Comment 4 Cong Wang 2011-12-08 07:35:16 UTC

*** This bug has been marked as a duplicate of bug 694498 ***


Note You need to log in before you can comment on or make changes to this bug.